#include <rccl.h>
#include "manex.260.h"

#ifdef VXWORKS_CFG
#define main track_260_
#endif

main ()
{
        TRSF_PTR p, track;
        POS_PTR p1;
        MANIP *mnp;
        TRACK_CTRL_BLK *tcb;

        extern trackFxn();

        rcclSetOptions (RCCL_ERROR_EXIT);

        tcb = ALLOC_MEM (NULL, TRACK_CTRL_BLK, UNDEF);

        p = allocTransRot (NULL, UNDEF, P_X, P_Y, P_Z, xunit, 180.0);
        track = allocTrans (NULL, UNDEF);

        p1 = makePosition (NULL, T6, EQ, p, track, TL, T6);

        mnp = rcclCreate (getDefaultRobot(), 0);
        rcclStart();

        tcb->compute = YES;
        tcb->gain = .05;
        tcb->vlimit = 100.0;
        tcb->mnpAddr = mnp;

        transEval (track, trackFxn, (int)tcb);
        rcclBlock();
	rcclBlock();

        move (mnp, p1);
        stop (mnp, F_UNDEF);

        while (1)
         { printf ("%7.4f %7.4f\n", tcb->xval, tcb->yval);
           delay (500.0);
         }
}
